<!--
     Client-specific (wicked binary) configuration file

     This file sources common configuration options from common.xml.

     Note:
       If you want to make changes to this file, consider putting
       your changes into /etc/wicked/client-local.xml instead.
       Otherwise, you may lose your changes when applying future
       maintenance updates.
  -->
<config>
  <include name="common.xml"/>

  <!-- The netif-firmware-discovery extension specifies the location
       of extension scripts that the client uses when discovering
       configuration and network interfaces managed in a firmware
       like iBFT (ACPI BIOS extension) as `firmware:<name>` config.
    -->
  <netif-firmware-discovery name="ibft">
    <script name="show-config"  command="/etc/wicked/extensions/ibft" />
    <script name="list-ifnames" command="/etc/wicked/extensions/ibft -l" />
  </netif-firmware-discovery>
  <!-- include nbft extension provided by wicked-nbft package -->
  <include name="client-nbft.xml" optional="true" />
  <netif-firmware-discovery name="redfish" enabled="false">
    <script name="show-config"  command="/usr/sbin/wicked redfish show-config" />
    <script name="list-ifnames" command="/usr/sbin/wicked redfish list-ifnames" />
  </netif-firmware-discovery>

  <!-- This specifies sources of network interface configurations.

       The ifconfig source specifies the type, location and the
       priority/order of the interface configurations.
    -->
  <sources>
    <!-- (bios ibft) firmware -->
    <ifconfig location="firmware:" />

    <!-- ifcfg interface configs -->
    <ifconfig location="compat:" />

    <!-- xml interface configs -->
    <ifconfig location="wicked:" />
  </sources>

  <!-- client-local.xml permits to overwrite client options -->
  <include name="client-local.xml" optional="true" />

  <!-- The client-firmware.xml config file is generated by
       `wicked firmware <enable|disable> <firmware name>`
       overriding the enablement of netif-firmware-discovery
       extensions defined/included in above configs.
    -->
  <include name="client-firmware.xml" optional="true" />

</config>
